%define upstream_name    Dist-Zilla-Plugin-PurePerlTests
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Run all your tests twice, once with XS code and once with pure Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.0.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Most)
BuildArch:  noarch

%description
This plugin is for modules which ship with a dual XS/pure Perl
implementation.

The plugin makes a copy of all your tests when doing release testing (via
'dzil test' or 'dzil release'). The copy will set an environment value that
you specify in a 'BEGIN' block. You can use this to force your code to not
load the XS implementation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes INSTALL LICENSE META.json META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-3.mga4
+ Revision: 511122
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 366369
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.30.0-1.mga2
+ Revision: 106878
- update to 0.03

* Wed Jan 26 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 40552
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-PurePerlTests

